Crazy Eddies GUI System: CEGUI::FalagardScrollablePane Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes
CEGUI::FalagardScrollablePane Class Reference

ScrollablePane class for the FalagardBase module. More...

Inheritance diagram for CEGUI::FalagardScrollablePane:
[legend]
Collaboration diagram for CEGUI::FalagardScrollablePane:
[legend]

List of all members.

## Public Member Functions
| FalagardScrollablePane (const String &type)
| type name for this widget.
void | render ()
| Populate render cache.
Rect | getViewableArea (void) const
| Return a Rect that described the pane's viewable area, relative to this Window, in pixels.
Rect | getUnclippedInnerRect () const
| Get unclipped inner rectangle that our window should return from its member function with the same name.
## Static Public Attributes
static const utf8 | TypeName []
## Protected Member Functions
void | onLookNFeelAssigned ()
| Handler called when a Look'N'Feel is assigned to our window.
void | onLookNFeelUnassigned ()
| Handler called when a Look'N'Feel is removed/unassigned from our window.
## Protected Attributes
bool | d_widgetLookAssigned
| flag whether target window has looknfeel assigned yet.

## Detailed Description

ScrollablePane class for the FalagardBase module.

This class requires LookNFeel to be assigned. The LookNFeel should provide the following:

States:

- Enabled
- Disabled

Named Areas:

- ViewableArea - area where content will be drawn when no scrollbars are visible.
- ViewableAreaHScroll - area where content will be drawn when the horizontal scrollbar is visible.
- ViewableAreaVScroll - area where content will be drawn when the vertical scrollbar is visible.
- ViewableAreaHVScroll - area where content will be drawn when both scrollbars are visible.

Child Widgets: Scrollbar based widget with name suffix "__auto_vscrollbar__" Scrollbar based widget with name suffix "__auto_hscrollbar__"

## Constructor & Destructor Documentation

CEGUI::FalagardScrollablePane::FalagardScrollablePane | ( | const String & | type | ) |

type name for this widget.

Constructor

## Member Function Documentation

Rect CEGUI::FalagardScrollablePane::getViewableArea | ( | void |  | ) | const`[virtual]`

Return a Rect that described the pane's viewable area, relative to this Window, in pixels.

Returns:
  Rect object describing the ScrollablePane's viewable area.

Implements CEGUI::ScrollablePaneWindowRenderer.

void CEGUI::FalagardScrollablePane::render | ( |  | ) | `[virtual]`

Populate render cache.

This method must be implemented by all window renderers and should perform the rendering operations needed for this widget. Normally using the Falagard API...

Implements CEGUI::WindowRenderer.